Bug 198375 - Package gnupg lacks IPv6 support
Package gnupg lacks IPv6 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:19 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.4.4-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 18:23:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:19:59 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/gnupg-1.4.3/util/http.c:725:    if( (fd=socket(AF_INET,SOCK_STREAM, 0)) == -1 ) {
/gnupg-1.4.3/util/http.c:733:    mya.sin_family=AF_INET;
/gnupg-1.4.3/util/http.c:806:      if((sock=socket(AF_INET,SOCK_STREAM,0))==INVALID_SOCKET)
/gnupg-1.4.3/util/http.c:812:      addr.sin_family=AF_INET; 
/gnupg-1.4.3/util/http.c:916:      if(addr.sin_family!=AF_INET)
/gnupg-1.4.3/util/assuan-socket.c:57:    domain = AF_INET;
/gnupg-1.4.3/util/assuan-socket.c:84:  myaddr.sin_family = AF_INET;
/gnupg-1.4.3/keyserver/gpgkeys_finger.c:112:  addr.sin_family = AF_INET;
/gnupg-1.4.3/keyserver/gpgkeys_finger.c:121:      if (hp->h_addrtype != AF_INET)
/gnupg-1.4.3/keyserver/gpgkeys_finger.c:142:  sock = socket (AF_INET, SOCK_STREAM, 0);
/gnupg-1.4.3/keyserver/gpgkeys_finger.c:163:  addr.sin_family = AF_INET;
/gnupg-1.4.3/keyserver/gpgkeys_finger.c:175:  sock = socket (AF_INET, SOCK_STREAM, 0);
Comment 1 David Shaw 2006-07-20 10:29:02 EDT
Note that the code grepped for here is not actually used in most
cases (including the current RPMs).  GnuPG uses cURL for keyserver
access (which does support IPv6), and only uses the built-in support
when built without cURL support.
Comment 2 Nalin Dahyabhai 2006-07-20 18:23:41 EDT
The binary packages for Fedora aren't built to explicitly include curl, so it's
been hit-or-miss.  I'll change it to be a build requirement so that it's always
fixed up, and close this.  Thanks, David!

Note You need to log in before you can comment on or make changes to this bug.